SYSTEM OPERATIONAL

API Reference

Welcome to the SSTrader API documentation. Our API is organized around REST, has predictable resource-oriented URLs, and uses standard HTTP response codes.

AuthenticationRequired

The API uses API keys to authenticate requests. You can view and manage your API keys in the Dashboard.

BASH
curl https://api.sstrader.com/v1/insights/get \
  -H "Authorization: Bearer YOUR_API_KEY"

Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

Get Insights

GET/insights/get

Retrieves a list of AI-generated betting insights based on provided filters.

Query Parameters

ParameterTypeDescription
market_idstringComma-separated list of market IDs (e.g. 1,3).
is_liveintegerSet to 1 to filter only live events.
limitintegerMax number of insights to return (default: 100).

Response Example

JSON
{
  "insights": [
    {
      "id": 4310,
      "market_id": 3,
      "value": 3.8,
      "content": {
        "text": "OVER 2.5 is the clear outcome..."
      },
      "bet": {
        "odd_id": 73060313,
        "sp": 1.93,
        "is_live": 1
      }
    }
  ]
}